Page MenuHomePhabricator

TemplateData GUI adds linebreaks before <noinclude>
Closed, ResolvedPublic1 Story Points

Description

After having added TemplateData to a template by clicking "Manage TemplateData" -> Apply the <noinclude> tag surrounding the TemplateData is inserted into the template preceded by two linebreaks.

Some templates might be sensitive to the included whitespace and for these it would be better if the <noinclude> followed directly after the template code.

Event Timeline

Lokal_Profil updated the task description. (Show Details)
Lokal_Profil raised the priority of this task from to Needs Triage.
Lokal_Profil added a project: TemplateData.
Lokal_Profil added a subscriber: Lokal_Profil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 2:07 PM
Jdforrester-WMF triaged this task as Normal priority.Jan 20 2015, 5:56 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Backlog to Next-up on the TemplateData board.May 9 2015, 12:20 AM
Amire80 added a subscriber: Amire80.

Indeed, happens to me all the time.

TemplateData itself goes into a <noinclude> element in the end of the template's source code, and many templates already have a <noinclude> element there, so it could be reused.

Kipod added a subscriber: Kipod.
Krenair claimed this task.Jan 12 2016, 6:20 PM
Krenair added a subscriber: Krenair.

I'll try to avoid having an extra blank line in this task, see T96537 for reusing an existing noinclude

Change 263635 had a related patch set uploaded (by Alex Monk):
Avoid adding an extra blank line before <noinclude>

https://gerrit.wikimedia.org/r/263635

Krenair moved this task from Next-up to Doing on the TemplateData board.Jan 12 2016, 6:22 PM
Jdforrester-WMF closed this task as Resolved.Jan 12 2016, 7:59 PM
Jdforrester-WMF edited projects, added VisualEditor; removed Patch-For-Review.
Jdforrester-WMF edited a custom field.

Change 263635 merged by jenkins-bot:
Avoid adding an extra blank line before <noinclude>

https://gerrit.wikimedia.org/r/263635